View Issue Details

IDProjectCategoryView StatusLast Update
0005140SymmetricDSImprovementpublic2022-05-20 16:00
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status assignedResolutionreopened 
Product Version3.14.0 
Target Version3.14.0 
Summary0005140: Upgrade to gradle version 6.9.1
DescriptionUpgrade to gradle version 6.9.1
TagsNo tags attached.

Activities

pmarzullo

2022-02-18 18:18

developer   ~0002062

More changes, to upgrade to Gradle 7 eventually

pmarzullo

2022-02-25 16:28

developer   ~0002063

Upgraded asciidoc plugin to get rid of the use of jcenter(), which is being removed in gradle 8.

Related Changesets

SymmetricDS: 3.14 9c5e4430

2021-11-30 20:02:51

pmarzullo

Details Diff
0005140: Upgrade to gradle version 6.9.1 Affected Issues
0005140
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/gradle/wrapper/gradle-wrapper.jar Diff File
mod - symmetric-assemble/gradle/wrapper/gradle-wrapper.properties Diff File
mod - symmetric-assemble/gradlew Diff File
mod - symmetric-assemble/gradlew.bat Diff File

SymmetricDS: 3.14 e8c3f27e

2022-02-15 16:55:22

pmarzullo

Details Diff
0005140: Upgrade to gradle version 6.9.1 Affected Issues
0005140
mod - symmetric-android/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

SymmetricDS: 3.14 c37769de

2022-02-25 15:54:39

pmarzullo

Details Diff
0005140: Upgrade to gradle version 6.9.1

asciidoc plugin upgrade
Affected Issues
0005140
mod - symmetric-assemble/asciidoc.gradle Diff File
mod - symmetric-assemble/build.gradle Diff File
mod - symmetric-assemble/src/asciidoc/advanced/offline.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/bigquery.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/databases.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/dataformat.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/dbcompare.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/dbexport.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/dbfill.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/dbimport.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/elasticsearch.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/kafka.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/mongodb.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/opensearch.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/snowflake.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/channels.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/conflicts.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/extensions.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/file-routing.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/file-triggers.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/group-links.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/groups.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/import.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/jobs.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/ldap.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/license-key.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/load-filters.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/load-filters/scripts.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/parameters.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/routers.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/routers/csv.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/routers/types.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/table-routing.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers/load-only.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers/wildcards.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/transforms.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/transforms/columns.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/transforms/operation-change.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/transforms/types.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/transforms/virtual-columns.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/users.ad Diff File
mod - symmetric-assemble/src/asciidoc/examples/csv2db.ad Diff File
mod - symmetric-assemble/src/asciidoc/examples/kafka.ad Diff File
mod - symmetric-assemble/src/asciidoc/installation.ad Diff File
mod - symmetric-assemble/src/asciidoc/introduction.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/incoming-batches.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/installed-triggers.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/jvm-properties.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/jvm-threads.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/logging.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/monitors.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/node-add.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/node-control.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/node-load.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/node-push-registration.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/node-registration.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/outgoing-batches.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/processes.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/pull-threads.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/push-threads.ad Diff File
mod - symmetric-assemble/src/asciidoc/manage/staging.ad Diff File
mod - symmetric-assemble/src/asciidoc/operations/operations.ad Diff File
mod - symmetric-assemble/src/asciidoc/setup/load-only-setup.ad Diff File
mod - symmetric-assemble/src/asciidoc/setup/pro-master-node.ad Diff File
mod - symmetric-assemble/src/asciidoc/setup/pro-node-select.ad Diff File
mod - symmetric-assemble/src/asciidoc/setup/pro-wizard-config.ad Diff File
mod - symmetric-assemble/src/asciidoc/tutorials/demo.ad Diff File
mod - symmetric-assemble/src/asciidoc/tutorials/quick-start.ad Diff File
mod - symmetric-assemble/src/asciidoc/tutorials/tutorials.ad Diff File
mod - symmetric-assemble/src/asciidoc/user-guide.ad Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/io/ReleaseNotesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/io/ReleaseNotesGenerator.java Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

SymmetricDS: 3.14 aa7dadcb

2022-05-09 12:36:06

pmarzullo

Details Diff
0005140: Remove propdeps plugin Affected Issues
0005140
mod - symmetric-assemble/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

SymmetricDS: 3.14 36cff953

2022-05-12 18:07:41

pmarzullo

Details Diff
0005140: Publish to maven using maven-publish Affected Issues
0005140
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/standalone.publish.gradle Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

SymmetricDS: 3.14 cf9640af

2022-05-19 12:13:48

pmarzullo

Details Diff
0005140: Upgrade to gradle version 6.9.1

Replace runtime, testCompile with non-deprecated dependency
configurations.
Affected Issues
0005140
mod - symmetric-android/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-csv/build.gradle Diff File
mod - symmetric-db/build.gradle Diff File
mod - symmetric-io/build.gradle Diff File
mod - symmetric-jdbc/build.gradle Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

SymmetricDS: 3.14 750e073c

2022-05-20 15:54:03

pmarzullo

Details Diff
0005140: Upgrade to gradle version 6.9.1

Replace compile dependency with corresponding non-deprecated
replacement.
Affected Issues
0005140
mod - symmetric-android/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-db/build.gradle Diff File
mod - symmetric-io/build.gradle Diff File
mod - symmetric-jdbc/build.gradle Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File
mod - symmetric-swagger-ui/build.gradle Diff File
mod - symmetric-util/build.gradle Diff File
mod - symmetric-wrapper/build.gradle Diff File

Issue History

Date Modified Username Field Change
2021-11-30 20:00 pmarzullo New Issue
2021-11-30 20:00 pmarzullo Status new => assigned
2021-11-30 20:00 pmarzullo Assigned To => pmarzullo
2021-11-30 20:03 pmarzullo Status assigned => resolved
2021-11-30 20:03 pmarzullo Resolution open => fixed
2021-11-30 20:03 pmarzullo Fixed in Version => 3.14.0
2021-11-30 21:18 pmarzullo Status resolved => assigned
2021-11-30 21:18 pmarzullo Resolution fixed => open
2021-11-30 21:18 pmarzullo Summary Upgrade to gradle version 6.9.1 => Upgrade to gradle version 7.3
2021-11-30 21:18 pmarzullo Description Updated View Revisions
2021-12-01 13:40 pmarzullo Summary Upgrade to gradle version 7.3 => Upgrade to gradle version 6.9.1
2021-12-01 13:40 pmarzullo Description Updated View Revisions
2021-12-01 13:40 pmarzullo Status assigned => resolved
2021-12-01 13:40 pmarzullo Resolution open => fixed
2021-12-01 16:00 pmarzullo Changeset attached => SymmetricDS 3.14 9c5e4430
2022-02-15 17:00 pmarzullo Changeset attached => SymmetricDS 3.14 e8c3f27e
2022-02-18 18:18 pmarzullo Status resolved => feedback
2022-02-18 18:18 pmarzullo Resolution fixed => reopened
2022-02-18 18:18 pmarzullo Note Added: 0002062
2022-02-18 18:18 pmarzullo Status feedback => assigned
2022-02-18 18:19 pmarzullo Fixed in Version 3.14.0 =>
2022-02-25 16:00 pmarzullo Changeset attached => SymmetricDS 3.14 c37769de
2022-02-25 16:28 pmarzullo Note Added: 0002063
2022-05-09 13:00 pmarzullo Changeset attached => SymmetricDS 3.14 aa7dadcb
2022-05-12 19:00 pmarzullo Changeset attached => SymmetricDS 3.14 36cff953
2022-05-19 13:00 pmarzullo Changeset attached => SymmetricDS 3.14 cf9640af
2022-05-20 16:00 pmarzullo Changeset attached => SymmetricDS 3.14 750e073c